​
Select Service
ves-io-schema-workload_flavor-API-List
Published April 5, 2023 | Last modified June 11, 2026
Examples of listing workload_flavor
Usecase:
List all workload_flavor from shared namespace
Request using vesctl:
vesctl configuration list workload_flavor --namespace workload_flavor
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: tiny namespace: shared statusSet: [] tenant: acmecorp uid: d098ad03-7f15-4e3a-8948-f8329aae1d53Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/workload_flavor/workload_flavors'curl response
HTTP/1.1 200 OKContent-Length: 427Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:31 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "shared", "name": "tiny", "uid": "d098ad03-7f15-4e3a-8948-f8329aae1d53", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}